summaryrefslogtreecommitdiffstats
path: root/system-config/components/1110-anacron
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-config/components/1110-anacron
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-config/components/1110-anacron')
-rwxr-xr-xsystem-config/components/1110-anacron43
1 files changed, 43 insertions, 0 deletions
diff --git a/system-config/components/1110-anacron b/system-config/components/1110-anacron
new file mode 100755
index 0000000..5b18be0
--- /dev/null
+++ b/system-config/components/1110-anacron
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Init ()
+{
+ # Checking if package is installed
+ if [ ! -e /var/lib/dpkg/info/anacron.list ] || \
+ [ -e /var/lib/live/config/anacron ]
+ then
+ exit 0
+ fi
+
+ echo -n " anacron"
+}
+
+Config ()
+{
+ # This has the nice side effect of the cron.{daily,weekly,monthly} jobs
+ # in /etc/crontab remaining disabled, yet also not run by anacron
+
+ # Diverting /usr/sbin/anacron
+ if [ ! -e /usr/sbin/anacron.orig.anacron ]
+ then
+ dpkg-divert --quiet --package live-config --add --rename --divert /usr/sbin/anacron.orig.anacron /usr/sbin/anacron
+
+ ln -s /bin/true /usr/sbin/anacron
+ fi
+
+ # Creating state file
+ touch /var/lib/live/config/anacron
+}
+
+Init
+Config